Subject: Re: [RFC PATCH] Fix abnormal rcu dynticks_nesting values related to async page fault

From: Sasha Levin <[email-masked]>
Date: Tue, 27 Nov 2012 09:01:33 -0500

On 11/27/2012 08:07 AM, Gleb Natapov wrote:
> Those rcu_irq_enter()/rcu_irq_exit() were introduced by commit
> c5e015d4949aa665 "KVM guest: exit idleness when handling
> KVM_PV_REASON_PAGE_NOT_PRESENT", but now I am starting to question this
> commit. KVM_PV_REASON_PAGE_NOT_PRESENT should not kick cpu out of
> idleness. kvm_async_pf_task_wait() checks that cpu is idle and calls
> halt if it is. After that commit schedule() may be called between
> rcu_irq_enter()/rcu_irq_exit() which is probably illegal. Paul?

otoh, calling schedule() apparently kicks cpu out of idleness now.

Thanks,
Sasha